'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var cl = require('clsx/lite');
var react = require('react');
var label = require('../label/label.js');
var ComboboxContext = require('./ComboboxContext.js');

const ComboboxEmpty = react.forwardRef(({ children, className, ...rest }, ref) => {
    const context = react.useContext(ComboboxContext.ComboboxContext);
    if (!context) {
        throw new Error('ComboboxEmpty must be used within a Combobox');
    }
    const { filteredOptions, size } = context;
    return (filteredOptions.length === 0 && (jsxRuntime.jsx(label.Label, { "data-size": size, asChild: true, children: jsxRuntime.jsx("div", { ref: ref, className: cl('ds-combobox__empty', className), ...rest, children: children }) })));
});
ComboboxEmpty.displayName = 'ComboboxEmpty';

exports.ComboboxEmpty = ComboboxEmpty;
