'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Alerts are used to inform users about important information, warnings, errors, or success.
 *
 * @example
 * <Alert data-color='info'>Dette er en informasjonsmelding</Alert>
 */
const Alert = react.forwardRef(function Alert({ 'data-color': color = 'info', className, ...rest }, ref) {
    return (jsxRuntime.jsx("div", { className: cl('ds-alert', className), "data-color": color, ref: ref, ...rest }));
});

exports.Alert = Alert;
