'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var cl = require('clsx/lite');
var react = require('react');

/**
 * `BadgePosition` is a component that positions the badge.
 *
 * @example
 * <BadgePosition placement='top-right' overlap='circle'>
 *  <Badge count={5} maxCount={10} />
 *  <Element />
 * </BadgePosition>
 */
const BadgePosition = react.forwardRef(function BadgePlacement({ className, overlap = 'rectangle', placement = 'top-right', ...rest }, ref) {
    return (jsxRuntime.jsx("span", { className: cl('ds-badge--position', className), "data-overlap": overlap, "data-placement": placement, ref: ref, ...rest }));
});

exports.BadgePosition = BadgePosition;
