'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var useMergeRefs = require('../../utilities/hooks/use-merge-refs/use-merge-refs.js');

const BreadcrumbsList = react.forwardRef(function BreadcrumbsList(rest, ref) {
    const innerRef = react.useRef(null);
    const mergedRefs = useMergeRefs.useMergeRefs([innerRef, ref]);
    // Set aria-current on last link
    react.useEffect(() => {
        const links = innerRef.current?.querySelectorAll(':scope > * > *') || [];
        const lastLink = links[links?.length - 1];
        lastLink?.setAttribute('aria-current', 'page');
        return () => lastLink?.removeAttribute('aria-current'); // Remove on re-render as React can re-use DOM elements
    });
    return jsxRuntime.jsx("ol", { ref: mergedRefs, ...rest });
});

exports.BreadcrumbsList = BreadcrumbsList;
