'use client';
'use strict';

var card = require('./card.js');
var cardBlock = require('./card-block.js');

/**
 * Card component to present content in a structured way.
 *
 * @example
 * <Card>
 *  <Card.Block>Header</Card.Block>
 *  <Card.Block>Content</Card.Block>
 *  <Card.Block>Footer</Card.Block>
 * </Card>
 */
const CardComponent = Object.assign(card.Card, {
    Block: cardBlock.CardBlock,
});
CardComponent.Block.displayName = 'Card.Block';

exports.CardBlock = cardBlock.CardBlock;
exports.Card = CardComponent;
