'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * Details summary component, contains a the heading to toggle the content.
 *
 * @example
 * <Details.Summary>Heading</Details.Summary>
 */
const DetailsSummary = react.forwardRef(function DetailsSummary({ className, ...rest }, ref) {
    /* Set `className` as `class` so react is happy */
    return jsxRuntime.jsx("u-summary", { ref: ref, class: className, ...rest });
});

exports.DetailsSummary = DetailsSummary;
