'use client';
'use strict';

var details = require('./details.js');
var detailsContent = require('./details-content.js');
var detailsSummary = require('./details-summary.js');

/**
 * Details component, contains `Details.Summary` and `Details.Content` components.
 *
 * @example
 * <Details>
 *  <Details.Summary>Header</Details.Summary>
 *  <Details.Content>Content</Details.Content>
 * </Details>
 */
const DetailsComponent = Object.assign(details.Details, {
    Summary: detailsSummary.DetailsSummary,
    Content: detailsContent.DetailsContent,
});
DetailsComponent.Summary.displayName = 'Details.Summary';
DetailsComponent.Content.displayName = 'Details.Content';

exports.DetailsContent = detailsContent.DetailsContent;
exports.DetailsSummary = detailsSummary.DetailsSummary;
exports.Details = DetailsComponent;
