'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var cl = require('clsx/lite');
var react = require('react');

/**
 * DialogBlock component, used to separate content in a Dialog.
 *
 * @example
 * <Dialog>
 *   <Dialog.Block>
 *     Header
 *   </Dialog.Block>
 *   <Dialog.Block>
 *     Content
 *   </Dialog.Block>
 *   <Dialog.Block>
 *     Footer
 *   </Dialog.Block>
 * </Dialog>
 */
const DialogBlock = react.forwardRef(function DialogBlock({ asChild, className, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'div';
    return (jsxRuntime.jsx(Component, { className: cl('ds-dialog__block', className), ref: ref, ...rest }));
});

exports.DialogBlock = DialogBlock;
