'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

const Context = react.createContext({
    current: null,
});
/**
 * DialogTriggerContext component, used to provide a context for a dialog trigger.
 *
 * @example
 * <Dialog.TriggerContext>
 *   <Dialog.Trigger>Open Dialog</Dialog.Trigger>
 *   <Dialog>
 *     Content
 *   </Dialog>
 * </Dialog.TriggerContext>
 */
const DialogTriggerContext = ({ children, }) => {
    const contextRef = react.useRef(null);
    return jsxRuntime.jsx(Context.Provider, { value: contextRef, children: children });
};
DialogTriggerContext.displayName = 'DialogTriggerContext';

exports.Context = Context;
exports.DialogTriggerContext = DialogTriggerContext;
