'use client';
'use strict';

var dialog = require('./dialog.js');
var dialogBlock = require('./dialog-block.js');
var dialogTrigger = require('./dialog-trigger.js');
var dialogTriggerContext = require('./dialog-trigger-context.js');

/**
 * Dialog component, used to display a Dialog dialog.
 *
 * @example
 * <Dialog.TriggerContext>
 *   <Dialog.Trigger>Open Dialog</Dialog.Trigger>
 *   <Dialog>
 *     <Dialog.Block>
 *       Content
 *     </Dialog.Block>
 *   </Dialog>
 * </Dialog.TriggerContext>
 */
const DialogComponent = Object.assign(dialog.Dialog, {
    Block: dialogBlock.DialogBlock,
    TriggerContext: dialogTriggerContext.DialogTriggerContext,
    Trigger: dialogTrigger.DialogTrigger,
});
DialogComponent.Block.displayName = 'Dialog.Block';
DialogComponent.TriggerContext.displayName = 'Dialog.TriggerContext';
DialogComponent.Trigger.displayName = 'Dialog.Trigger';

exports.DialogBlock = dialogBlock.DialogBlock;
exports.DialogTrigger = dialogTrigger.DialogTrigger;
exports.DialogTriggerContext = dialogTriggerContext.DialogTriggerContext;
exports.Dialog = DialogComponent;
