'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Divider component, used to separate content. Uses `hr` element.
 *
 * @example
 * <Divider />
 */
const Divider = react.forwardRef(function Divider({ className, ...rest }, ref) {
    return (
    // biome-ignore lint/a11y/noAriaHiddenOnFocusable: <hr> is not foucsable but biome thinks it is
    jsxRuntime.jsx("hr", { "aria-hidden": 'true', className: cl('ds-divider', className), ref: ref, ...rest }));
});

exports.Divider = Divider;
