'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var button = require('../button/button.js');

/**
 * DropdownButton component, used to display a button in the DropdownItem.
 *
 * @example
 * <Dropdown>
 *  <DropdownList>
 *    <DropdownItem>
 *      <DropdownButton>Button</DropdownButton>
 *    </DropdownItem>
 *  </DropdownList>
 * </Dropdown>
 */
const DropdownButton = react.forwardRef(function DropdownButton({ ...rest }, ref) {
    return jsxRuntime.jsx(button.Button, { ref: ref, variant: 'tertiary', ...rest });
});

exports.DropdownButton = DropdownButton;
