'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var heading = require('../heading/heading.js');

/**
 * DropdownHeading component, used to display a heading in the Dropdown.
 *
 * @example
 * <Dropdown>
 *  <DropdownHeading>Heading</DropdownHeading>
 * </Dropdown>
 */
const DropdownHeading = react.forwardRef(function DropdownHeading({ className, ...rest }, ref) {
    return jsxRuntime.jsx(heading.Heading, { ref: ref, ...rest });
});

exports.DropdownHeading = DropdownHeading;
