'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * DropdownItem component, used to display an item in the Dropdown. Used within a DropdownList.
 *
 * @example
 * <Dropdown>
 *  <DropdownList>
 *    <DropdownItem>
 *      <DropdownButton>Button</DropdownButton>
 *    </DropdownItem>
 *  </DropdownList>
 * </Dropdown>
 */
const DropdownItem = react.forwardRef(function DropdownItem({ className, ...rest }, ref) {
    return jsxRuntime.jsx("li", { ref: ref, ...rest });
});

exports.DropdownItem = DropdownItem;
