'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * DropdownList component, used to display a list of items in the Dropdown.
 *
 * @example
 * <Dropdown>
 *  <DropdownList>
 *    <DropdownItem>
 *      <DropdownButton>Button</DropdownButton>
 *    </DropdownItem>
 *  </DropdownList>
 * </Dropdown>
 */
const DropdownList = react.forwardRef(function DropdownList({ className, ...rest }, ref) {
    return jsxRuntime.jsx("ul", { ref: ref, ...rest });
});

exports.DropdownList = DropdownList;
