'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var popoverTriggerContext = require('../popover/popover-trigger-context.js');

/**
 * DropdownTriggerContext enables use of the `.Trigger` for the Dropdown component.
 *
 * @example
 * <DropdownTriggerContext>
 *  <DropdownTrigger>Dropdown</DropdownTrigger>
 *  <Dropdown>
 *   <DropdownHeading>Heading</DropdownHeading>
 *    <DropdownList>
 *      <DropdownItem>
 *        <DropdownButton>Button</DropdownButton>
 *      </DropdownItem>
 *    </DropdownList>
 *  </Dropdown>
 * </DropdownTriggerContext>
 */
const DropdownTriggerContext = ({ children, }) => {
    return jsxRuntime.jsx(popoverTriggerContext.PopoverTriggerContext, { children: children });
};
DropdownTriggerContext.displayName = 'DropdownTriggerContext';

exports.DropdownTriggerContext = DropdownTriggerContext;
