'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var popoverTrigger = require('../popover/popover-trigger.js');

/**
 * DropdownTrigger component, used within a Dropdown.TriggerContext to open a Dropdown.
 *
 * @example
 * <Dropdown.TriggerContext>
 *  <Dropdown.Trigger>Dropdown</Dropdown.Trigger>
 *  <Dropdown>
 *   <Dropdown.Heading>Heading</Dropdown.Heading>
 *    <Dropdown.List>
 *      <Dropdown.Item>
 *        <Dropdown.Button>Button</Dropdown.Button>
 *      </Dropdown.Item>
 *    </Dropdown.List>
 *  </Dropdown>
 * </Dropdown.TriggerContext>
 */
const DropdownTrigger = react.forwardRef(function DropdownTrigger({ asChild, ...rest }, ref) {
    return jsxRuntime.jsx(popoverTrigger.PopoverTrigger, { ref: ref, ...rest });
});

exports.DropdownTrigger = DropdownTrigger;
