'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
require('../list/index.js');
var listItem = require('../list/list-item.js');

/**
 * ErrorSummaryItem component, used to display an error link in the ErrorSummary.
 *
 * @example
 * <ErrorSummaryItem>
 *  <ErrorSummaryLink href="#">
 *    Link to error
 *  </ErrorSummaryLink>
 * </ErrorSummaryItem>
 */
const ErrorSummaryItem = react.forwardRef(function ErrorSummaryItem({ ...rest }, ref) {
    return jsxRuntime.jsx(listItem.ListItem, { ref: ref, ...rest });
});

exports.ErrorSummaryItem = ErrorSummaryItem;
