'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var link = require('../link/link.js');

/**
 * ErrorSummary link component, used to link to a specific error. Used within an ErrorSummary.Item.
 *
 * @example
 * <ErrorSummary>
 *   <ErrorSummaryItem>
 *     <ErrorSummaryLink href='#'>Error 1</ErrorSummaryLink>
 *   </ErrorSummaryItem>
 * </ErrorSummary>
 */
const ErrorSummaryLink = react.forwardRef(function ErrorSummaryLink({ ...rest }, ref) {
    return jsxRuntime.jsx(link.Link, { ref: ref, "data-color": 'neutral', ...rest });
});

exports.ErrorSummaryLink = ErrorSummaryLink;
