'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var index = require('../list/index.js');

/**
 * ErrorSummary list component, used to display a list of errors.
 *
 * @example
 * <ErrorSummary>
 *   <ErrorSummary.List>
 *     <ErrorSummary.Item>
 *       <ErrorSummary.Link href='#'>Error 1</ErrorSummary.Link>
 *     </ErrorSummary.Item>
 *     <ErrorSummary.Item>
 *       <ErrorSummary.Link href='#'>Error 2</ErrorSummary.Link>
 *     </ErrorSummary.Item>
 *   </ErrorSummary.List>
 * </ErrorSummary>
 */
const ErrorSummaryList = react.forwardRef(function ErrorSummaryList({ ...rest }, ref) {
    return jsxRuntime.jsx(index.List.Unordered, { ...rest, ref: ref });
});

exports.ErrorSummaryList = ErrorSummaryList;
