'use client';
'use strict';

var field = require('./field.js');
var fieldAffix = require('./field-affix.js');
var fieldCounter = require('./field-counter.js');
var fieldDescription = require('./field-description.js');

/**
 * Field component, used to wrap a form field.
 *
 * @example
 * <Field>
 *   <Label>Kort beskrivelse</Label>
 *   <Field.Description>Beskrivelse</Field.Description>
 *   <Input />
 *   <ValidationMessage>Feilmelding</ValidationMessage>
 * </Field>
 */
const FieldComponent = Object.assign(field.Field, {
    Description: fieldDescription.FieldDescription,
    Affixes: fieldAffix.FieldAffixes,
    Affix: fieldAffix.FieldAffix,
    Counter: fieldCounter.FieldCounter,
});
FieldComponent.Description.displayName = 'Field.Description';
FieldComponent.Affixes.displayName = 'Field.Affixes';
FieldComponent.Affix.displayName = 'Field.Affix';
FieldComponent.Counter.displayName = 'Field.Counter';

exports.FieldAffix = fieldAffix.FieldAffix;
exports.FieldAffixes = fieldAffix.FieldAffixes;
exports.FieldCounter = fieldCounter.FieldCounter;
exports.FieldDescription = fieldDescription.FieldDescription;
exports.Field = FieldComponent;
