'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var paragraph = require('../paragraph/paragraph.js');

/**
 * FieldsetDescription component, used to display a description for a fieldset.
 *
 * @example
 * <FieldsetDescription>
 *   Gi en kort beskrivelse i begge feltene
 * </FieldsetDescription>
 */
const FieldsetDescription = react.forwardRef(function FieldsetDescription(rest, ref) {
    return jsxRuntime.jsx(paragraph.Paragraph, { ref: ref, ...rest });
});

exports.FieldsetDescription = FieldsetDescription;
