'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var label = require('../label/label.js');

/**
 * FieldsetLegend component, used to display a legend for a fieldset.
 *
 * @example
 * <FieldsetLegend>Skriv inn dine svar</FieldsetLegend>
 */
const FieldsetLegend = react.forwardRef(function FieldsetLegend(rest, ref) {
    return (jsxRuntime.jsx(label.Label, { asChild: true, children: jsxRuntime.jsx("legend", { ref: ref, ...rest }) }));
});

exports.FieldsetLegend = FieldsetLegend;
