'use client';
'use strict';

var fieldset = require('./fieldset.js');
var fieldsetDescription = require('./fieldset-description.js');
var fieldsetLegend = require('./fieldset-legend.js');

/**
 * Fieldset component, used to wrap a form field.
 *
 * @example
 * <Fieldset>
 *   <Fieldset.Legend>Skriv inn dine svar</Fieldset.Legend>
 *   <Fieldset.Description>
 *     Gi en kort beskrivelse i begge feltene
 *   </Fieldset.Description>
 *   <Field>
 *     <Label>Kort beskrivelse</Label>
 *     <Input />
 *   </Field>
 * </Fieldset>
 */
const FieldsetComponent = Object.assign(fieldset.Fieldset, {
    Legend: fieldsetLegend.FieldsetLegend,
    Description: fieldsetDescription.FieldsetDescription,
});
FieldsetComponent.Legend.displayName = 'Fieldset.Legend';
FieldsetComponent.Description.displayName = 'Fieldset.Description';

exports.FieldsetDescription = fieldsetDescription.FieldsetDescription;
exports.FieldsetLegend = fieldsetLegend.FieldsetLegend;
exports.Fieldset = FieldsetComponent;
