'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Use `Heading` to render h1-6 elements with heading text styles.
 *
 * @example
 * <Heading data-size='lg' level={2}>Heading</Heading>
 */
const Heading = react.forwardRef(function Heading({ level = 2, className, asChild, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : `h${level}`;
    return (jsxRuntime.jsx(Component, { className: cl(`ds-heading`, className), ref: ref, ...rest }));
});

exports.Heading = Heading;
