'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Input renders a native `input` element.
 *
 * @example
 * <Input />
 */
const Input = react.forwardRef(function Input({ type = 'text', className, onChange, onClick, ...rest }, ref) {
    return (jsxRuntime.jsx("input", { className: cl(`ds-input`, className), ref: ref, type: type, onChange: (event) => rest.readOnly || onChange?.(event), onClick: (event) => {
            if (rest.readOnly)
                event.preventDefault(); // Make readonly work for checkbox / radio / switch
            onClick?.(event);
        }, ...rest }));
});

exports.Input = Input;
