'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Use `Label` for labels. Renders a native `label` element.
 *
 * @example
 * <Label data-size='lg' weight='medium'>Label</Label>
 */
const Label = react.forwardRef(function Label({ className, weight = 'medium', asChild, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'label';
    return (jsxRuntime.jsx(Component, { ref: ref, className: cl('ds-label', className), "data-weight": weight, ...rest }));
});

exports.Label = Label;
