'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Link component, renders a native `a` element.
 *
 * @example
 * <Link href='#'>Link</Link>
 */
const Link = react.forwardRef(({ asChild, className, ...rest }, ref) => {
    const Component = asChild ? reactSlot.Slot : 'a';
    return (jsxRuntime.jsx(Component, { className: cl('ds-link', className), ref: ref, ...rest }));
});
Link.displayName = 'Link';

exports.Link = Link;
