'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var react = require('react');

/**
 * Component that provides a list item.
 *
 * @example
 * <List.Item>Item</List.Item>
 */
const ListItem = react.forwardRef(function ListItem({ asChild, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'li';
    return jsxRuntime.jsx(Component, { ...rest, ref: ref });
});

exports.ListItem = ListItem;
