'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var button = require('../button/button.js');

/**
 * PaginationButton component, use within a Pagination.Item.
 *
 * @example
 * <PaginationItem>
 *   <PaginationButton aria-label='Forrige side'>Forrige</PaginationButton>
 * </PaginationItem>
 */
const PaginationButton = react.forwardRef(function PaginationButton(rest, ref) {
    return jsxRuntime.jsx(button.Button, { ref: ref, ...rest });
});

exports.PaginationButton = PaginationButton;
