'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var react = require('react');

/**
 * PaginationItem component, use within a Pagination.List.
 *
 * @example
 * <PaginationList>
 *   <PaginationItem>
 *     <PaginationButton aria-label='Forrige side'>Forrige</PaginationButton>
 *   </PaginationItem>
 * </PaginationList>
 */
const PaginationItem = react.forwardRef(function PaginationItem({ asChild, className, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'li';
    return jsxRuntime.jsx(Component, { ref: ref, ...rest });
});

exports.PaginationItem = PaginationItem;
