'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var react = require('react');

/**
 * PaginationList component, use within a Pagination.
 *
 * @example
 * <Pagination>
 *   <PaginationList>
 *     <PaginationItem>
 *       <PaginationButton aria-label='Forrige side'>Forrige</PaginationButton>
 *     </PaginationItem>
 *   </PaginationList>
 * </Pagination>
 */
const PaginationList = react.forwardRef(function PaginationList({ asChild, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'ul';
    return jsxRuntime.jsx(Component, { ref: ref, ...rest });
});

exports.PaginationList = PaginationList;
