'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Use `Paragraph` to display text with paragraph text styles.
 * Renders a native `p` element.
 *
 * @example
 * <Paragraph data-size='lg'>Paragraph</Paragraph>
 */
const Paragraph = react.forwardRef(function Paragraph({ className, asChild, variant = 'default', ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'p';
    return (jsxRuntime.jsx(Component, { ref: ref, className: cl(`ds-paragraph`, className), "data-variant": variant, ...rest }));
});

exports.Paragraph = Paragraph;
