'use client';
'use strict';

var popover = require('./popover.js');
var popoverTrigger = require('./popover-trigger.js');
var popoverTriggerContext = require('./popover-trigger-context.js');

/**
 * Popover component, used to display content in a popover over an element.
 *
 * @example
 * <Popover.TriggerContext>
 *   <Popover.Trigger>Open Popover</Popover.Trigger>
 *   <Popover>
 *     Content
 *   </Popover>
 * </Popover.TriggerContext>
 */
const PopoverComponent = Object.assign(popover.Popover, {
    TriggerContext: popoverTriggerContext.PopoverTriggerContext,
    Trigger: popoverTrigger.PopoverTrigger,
});
PopoverComponent.TriggerContext.displayName = 'Popover.TriggerContext';
PopoverComponent.Trigger.displayName = 'Popover.Trigger';

exports.PopoverTrigger = popoverTrigger.PopoverTrigger;
exports.PopoverTriggerContext = popoverTriggerContext.PopoverTriggerContext;
exports.Popover = PopoverComponent;
