'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var index = require('../field/index.js');
var input = require('../input/input.js');
var label = require('../label/label.js');
var validationMessage = require('../validation-message/validation-message.js');

/**
 * Radio used to select multiple options.
 *
 * @example
 * <Radio label="I agree" value="agree" />
 */
const Radio = react.forwardRef(function Radio({ 'data-size': size, className, style, children, label: label$1, description, error, ...rest }, ref) {
    return (jsxRuntime.jsxs(index.Field, { "data-size": size, className: className, style: style, children: [jsxRuntime.jsx(input.Input, { type: 'radio', ref: ref, ...rest }), !!label$1 && jsxRuntime.jsx(label.Label, { weight: 'regular', children: label$1 }), !!description && jsxRuntime.jsx("div", { "data-field": 'description', children: description }), !!error && jsxRuntime.jsx(validationMessage.ValidationMessage, { children: error })] }));
});

exports.Radio = Radio;
