'use client';
'use strict';

var search = require('./search.js');
var searchButton = require('./search-button.js');
var searchClear = require('./search-clear.js');
var searchInput = require('./search-input.js');

/**
 * Search component, use to display different variations of a search input
 *
 * @example with button
 * <Search>
 *   <Search.Input aria-label='Søk' />
 *   <Search.Clear />
 *   <Search.Button />
 * </Search>
 *
 * @example with icon
 * <Search>
 *   <Search.Input aria-label='Søk' />
 *   <Search.Clear />
 * </Search>
 */
const SearchComponent = Object.assign(search.Search, {
    Clear: searchClear.SearchClear,
    Button: searchButton.SearchButton,
    Input: searchInput.SearchInput,
});
SearchComponent.Clear.displayName = 'Search.Clear';
SearchComponent.Button.displayName = 'Search.Button';
SearchComponent.Input.displayName = 'Search.Input';

exports.SearchButton = searchButton.SearchButton;
exports.SearchClear = searchClear.SearchClear;
exports.SearchInput = searchInput.SearchInput;
exports.Search = SearchComponent;
