'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var button = require('../button/button.js');

/**
 * SearchButton component, used to display a search button within a Search component.
 *
 * @example
 * <Search>
 *   <SearchInput aria-label='Søk' />
 *   <SearchButton>Søk</SearchButton>
 * </Search>
 */
const SearchButton = react.forwardRef(function SearchButton({ children = 'Søk', ...rest }, ref) {
    return (jsxRuntime.jsx(button.Button, { ref: ref, type: 'submit', ...rest, children: children }));
});

exports.SearchButton = SearchButton;
