'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var input = require('../input/input.js');

/**
 * SearchInput component, used to display a search input within the Search component.
 *
 * @example
 * <Search>
 *   <SearchInput aria-label='Søk' />
 * </Search>
 */
const SearchInput = react.forwardRef(function SearchInput({ ...rest }, ref) {
    return (jsxRuntime.jsx(input.Input, { ref: ref, type: 'search', 
        /* We need an empty placeholder for the clear button to be able to show/hide */
        placeholder: '', ...rest }));
});

exports.SearchInput = SearchInput;
