'use client';
'use strict';

var select = require('./select.js');
var selectOptgroup = require('./select-optgroup.js');
var selectOption = require('./select-option.js');

/**
 * Select component, used to display a native select.
 *
 * @example
 * <Select>
 *   <Select.Option value='1'>Option 1</Select.Option>
 *   <Select.Option value='2'>Option 2</Select.Option>
 * </Select>
 */
const SelectComponent = Object.assign(select.Select, {
    Option: selectOption.SelectOption,
    Optgroup: selectOptgroup.SelectOptgroup,
});
SelectComponent.Option.displayName = 'Select.Option';
SelectComponent.Optgroup.displayName = 'Select.Optgroup';

exports.SelectOptgroup = selectOptgroup.SelectOptgroup;
exports.SelectOption = selectOption.SelectOption;
exports.Select = SelectComponent;
