'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var react = require('react');

/**
 * SelectOptgroup component, used to display a native optgroup within a select.
 *
 * @example
 * <Select>
 *   <SelectOptgroup label='Group 1'>
 *     <SelectOption value='1'>Option 1</SelectOption>
 *     <SelectOption value='2'>Option 2</SelectOption>
 *   </SelectOptgroup>
 * </Select>
 */
const SelectOptgroup = react.forwardRef(function SelectOptgroup({ asChild, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'optgroup';
    return jsxRuntime.jsx(Component, { ...rest, ref: ref });
});

exports.SelectOptgroup = SelectOptgroup;
