'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var react = require('react');

/**
 * SelectOption component, used to display a native option within a select.
 *
 * @example
 * <Select>
 *   <SelectOption value='1'>Option 1</SelectOption>
 *   <SelectOption value='2'>Option 2</SelectOption>
 * </Select>
 */
const SelectOption = react.forwardRef(function SelectOption({ asChild, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'option';
    return jsxRuntime.jsx(Component, { ...rest, ref: ref });
});

exports.SelectOption = SelectOption;
