'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Select component, used to display a native select.
 *
 * @example
 * <Select>
 *   <Select.Option value='1'>Option 1</Select.Option>
 *   <Select.Option value='2'>Option 2</Select.Option>
 * </Select>
 */
const Select = react.forwardRef(function Select({ className, onKeyDown, onMouseDown, width, ...rest }, ref) {
    return (jsxRuntime.jsx("select", { className: cl('ds-input', className), "data-width": width, ref: ref, onKeyDown: (event) => {
            if (event.key === 'Tab')
                return;
            if (rest.readOnly)
                event.preventDefault(); // Make readonly work for select
            onKeyDown?.(event);
        }, onMouseDown: (event) => {
            if (rest.readOnly)
                event.preventDefault(); // Make readonly work for select
            onMouseDown?.(event);
        }, ...rest }));
});

exports.Select = Select;
