'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var cl = require('clsx/lite');
var react = require('react');

/**
 * SkipLink component, used to display a skip link within the page.
 * Place it at the top of the page to allow users to skip to the main content.
 *
 * @example
 * <SkipLink href='#main-content'>Skip to main content</SkipLink>
 */
const SkipLink = react.forwardRef(function SkipLink({ children, className, ...rest }, ref) {
    return (jsxRuntime.jsx("a", { className: cl('ds-skip-link', className), ...rest, ref: ref, children: children }));
});

exports.SkipLink = SkipLink;
