'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var suggestion = require('./suggestion.js');

/**
 * Component that provides an empty Suggestion list.
 *
 * Place as a descendant of `Suggestion.List`
 *
 * @example
 * <Suggestion.List>
 *   <Suggestion.Empty>Tomt</Suggestion.Empty>
 * </Suggestion.List>
 */
const SuggestionEmpty = react.forwardRef(function SuggestionEmpty(rest, ref) {
    const { isEmpty } = react.useContext(suggestion.SuggestionContext);
    return isEmpty ? jsxRuntime.jsx("u-option", { "data-empty": true, value: '', ref: ref, ...rest }) : null;
});

exports.SuggestionEmpty = SuggestionEmpty;
