'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * A component for rendering individual options in the Suggestion list.
 *
 * @example
 * <Suggestion>
 *   <Suggestion.Input />
 *   <Suggestion.List>
 *     <Suggestion.Option value='Option 1'>Option 1</Suggestion.Option>
 *     <Suggestion.Option value='Option 2'>Option 2</Suggestion.Option>
 *   </Suggestion.List>
 * </Suggestion>
 */
const SuggestionOption = react.forwardRef(function SuggestionOption({ className, ...rest }, ref) {
    return (jsxRuntime.jsx("u-option", { class: className, ref: ref, ...rest }));
});

exports.SuggestionOption = SuggestionOption;
