'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var index = require('../field/index.js');
var input = require('../input/input.js');
var label = require('../label/label.js');

/**
 * Switch used to toggle options.
 *
 * @example
 * <Switch label="I agree" value="agree" />
 */
const Switch = react.forwardRef(function Switch({ 'data-size': size, children, className, description, label: label$1, position, style, ...rest }, ref) {
    return (jsxRuntime.jsxs(index.Field, { className: className, "data-position": position, "data-size": size, style: style, children: [jsxRuntime.jsx(input.Input, { type: 'checkbox', role: 'switch', ref: ref, ...rest }), !!label$1 && jsxRuntime.jsx(label.Label, { weight: 'regular', children: label$1 }), !!description && jsxRuntime.jsx("div", { "data-field": 'description', children: description })] }));
});

exports.Switch = Switch;
