'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * TableBody component, used to display the body of a table. Renders a native HTML tbody element.
 *
 * @example
 * <TableBody>
 *   <TableRow>
 *     <TableCell>John</TableCell>
 *     <TableCell>25</TableCell>
 *   </TableRow>
 * </TableBody>
 */
const TableBody = react.forwardRef(function TableBody(rest, ref) {
    return jsxRuntime.jsx("tbody", { ref: ref, ...rest });
});

exports.TableBody = TableBody;
