'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * TableFoot component, used to display the footer of a table. Renders a native HTML tfoot element.
 *
 * @example
 * <TableFoot>
 *   <TableRow>
 *     <TableCell>Total</TableCell>
 *     <TableCell>2</TableCell>
 *   </TableRow>
 * </TableFoot>
 */
const TableFoot = react.forwardRef(function TableFoot(rest, ref) {
    return jsxRuntime.jsx("tfoot", { ref: ref, ...rest });
});

exports.TableFoot = TableFoot;
