'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * TableHead component, used to display the header of a table. Renders a native HTML thead element.
 *
 * @example
 * <TableHead>
 *   <TableRow>
 *     <TableHeaderCell>Name</TableHeaderCell>
 *     <TableHeaderCell>Age</TableHeaderCell>
 *   </TableRow>
 * </TableHead>
 */
const TableHead = react.forwardRef(function TableHead(rest, ref) {
    return jsxRuntime.jsx("thead", { ref: ref, ...rest });
});

exports.TableHead = TableHead;
