'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * TableHeaderCell component, used to display the header cells of a table. Renders a native HTML th element.
 *
 * @example
 * <TableHeaderCell>Name</TableHeaderCell>
 */
const TableHeaderCell = react.forwardRef(function TableHeaderCell({ sort, children, ...rest }, ref) {
    return (jsxRuntime.jsx("th", { "aria-sort": sort, ref: ref, ...rest, children: sort ? jsxRuntime.jsx("button", { type: 'button', children: children }) : children }));
});

exports.TableHeaderCell = TableHeaderCell;
