'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * TableRow component, used to display the rows of a table. Renders a native HTML tr element.
 *
 * @example
 * <TableRow>
 *   <TableCell>John</TableCell>
 *   <TableCell>25</TableCell>
 * </TableRow>
 */
const TableRow = react.forwardRef(function TableRow(rest, ref) {
    return jsxRuntime.jsx("tr", { ref: ref, ...rest });
});

exports.TableRow = TableRow;
