'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var rovingFocusRoot = require('../../utilities/roving-focus/roving-focus-root.js');
var tabs = require('./tabs.js');

/**
 * The container for all `Tab` components.
 *
 * @example
 * <TabsList>
 *  <TabsTab value='1'>Tab 1</TabsTab>
 *  <TabsTab value='2'>Tab 2</TabsTab>
 * </TabsList>
 */
const TabsList = react.forwardRef(function TabsList({ children, ...rest }, ref) {
    const { value } = react.useContext(tabs.Context);
    return (jsxRuntime.jsx(rovingFocusRoot.RovingFocusRoot, { role: 'tablist', activeValue: value, orientation: 'ambiguous', ref: ref, ...rest, children: children }));
});

exports.TabsList = TabsList;
