'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var rovingFocusItem = require('../../utilities/roving-focus/roving-focus-item.js');
var tabs = require('./tabs.js');

/**
 * A single item in a Tabs component.
 *
 * @example
 * <TabsTab value='1'>Tab 1</TabsTab>
 */
const TabsTab = react.forwardRef(function TabsTab({ value, id, ...rest }, ref) {
    const tabs$1 = react.useContext(tabs.Context);
    const generatedId = react.useId();
    const buttonId = id ?? `tab-${generatedId}`;
    return (jsxRuntime.jsx(rovingFocusItem.RovingFocusItem, { value: value, ...rest, asChild: true, children: jsxRuntime.jsx("button", { ...rest, "aria-selected": tabs$1.value === value, id: buttonId, onClick: () => tabs$1.onChange?.(value), ref: ref, role: 'tab', type: 'button' }) }));
});

exports.TabsTab = TabsTab;
