'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var rovingFocusItem = require('../../utilities/roving-focus/roving-focus-item.js');
var button = require('../button/button.js');
var useToggleGroupitem = require('./use-toggle-groupitem.js');

/**
 * A single item in a ToggleGroup.
 * @example
 * <ToggleGroupItem value='1'>Toggle 1</ToggleGroupItem>
 */
const ToggleGroupItem = react.forwardRef(function ToggleGroupItem(rest, ref) {
    const { active, buttonProps, value } = useToggleGroupitem.useToggleGroupItem(rest);
    return (jsxRuntime.jsx(rovingFocusItem.RovingFocusItem, { asChild: true, value: value, children: jsxRuntime.jsx(button.Button, { variant: active ? 'primary' : 'tertiary', ref: ref, ...rest, ...buttonProps }) }));
});

exports.ToggleGroupItem = ToggleGroupItem;
