'use client';
'use strict';

var react = require('react');
var toggleGroup = require('./toggle-group.js');

/** Handles props for `ToggleGroup.Item` in context with `ToggleGroup` and `RovingFocus` */
const useToggleGroupItem = (props) => {
    const { ...rest } = props;
    const genValue = react.useId();
    const toggleGroup$1 = react.useContext(toggleGroup.ToggleGroupContext);
    const value = props.value ?? genValue;
    const active = toggleGroup$1.value === value;
    const buttonId = `togglegroup-item-${react.useId()}`;
    return {
        ...rest,
        active: active,
        value,
        buttonProps: {
            id: buttonId,
            'aria-checked': active,
            'aria-current': active,
            role: 'radio',
            name: toggleGroup$1.name,
            onClick: () => {
                toggleGroup$1.onChange?.(value);
            },
        },
    };
};

exports.useToggleGroupItem = useToggleGroupItem;
