'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var reactSlot = require('@radix-ui/react-slot');
var cl = require('clsx/lite');
var react = require('react');

/**
 * Use `ValidationMessage` to display validation text
 *
 * @example
 * <ValidationMessage>This is a danger validation message</ValidationMessage>
 */
const ValidationMessage = react.forwardRef(function ValidationMessage({ className, asChild, ...rest }, ref) {
    const Component = asChild ? reactSlot.Slot : 'p';
    return (jsxRuntime.jsx(Component, { className: cl('ds-validation-message', className), "data-field": 'validation', ref: ref, ...rest }));
});

exports.ValidationMessage = ValidationMessage;
