'use client';
import { jsx } from 'react/jsx-runtime';
import { forwardRef, useRef, useEffect } from 'react';
import { useMergeRefs } from '../../utilities/hooks/use-merge-refs/use-merge-refs.js';

const BreadcrumbsList = forwardRef(function BreadcrumbsList(rest, ref) {
    const innerRef = useRef(null);
    const mergedRefs = useMergeRefs([innerRef, ref]);
    // Set aria-current on last link
    useEffect(() => {
        const links = innerRef.current?.querySelectorAll(':scope > * > *') || [];
        const lastLink = links[links?.length - 1];
        lastLink?.setAttribute('aria-current', 'page');
        return () => lastLink?.removeAttribute('aria-current'); // Remove on re-render as React can re-use DOM elements
    });
    return jsx("ol", { ref: mergedRefs, ...rest });
});

export { BreadcrumbsList };
