'use client';
import { jsx } from 'react/jsx-runtime';
import { forwardRef } from 'react';
import { Button } from '../button/button.js';

/**
 * PaginationButton component, use within a Pagination.Item.
 *
 * @example
 * <PaginationItem>
 *   <PaginationButton aria-label='Forrige side'>Forrige</PaginationButton>
 * </PaginationItem>
 */
const PaginationButton = forwardRef(function PaginationButton(rest, ref) {
    return jsx(Button, { ref: ref, ...rest });
});

export { PaginationButton };
