'use client';
import { jsx } from 'react/jsx-runtime';
import { forwardRef, useContext } from 'react';
import { RovingFocusRoot } from '../../utilities/roving-focus/roving-focus-root.js';
import { Context } from './tabs.js';

/**
 * The container for all `Tab` components.
 *
 * @example
 * <TabsList>
 *  <TabsTab value='1'>Tab 1</TabsTab>
 *  <TabsTab value='2'>Tab 2</TabsTab>
 * </TabsList>
 */
const TabsList = forwardRef(function TabsList({ children, ...rest }, ref) {
    const { value } = useContext(Context);
    return (jsx(RovingFocusRoot, { role: 'tablist', activeValue: value, orientation: 'ambiguous', ref: ref, ...rest, children: children }));
});

export { TabsList };
