'use client';
import { jsx } from 'react/jsx-runtime';
import { forwardRef, useContext, useId } from 'react';
import { RovingFocusItem } from '../../utilities/roving-focus/roving-focus-item.js';
import { Context } from './tabs.js';

/**
 * A single item in a Tabs component.
 *
 * @example
 * <TabsTab value='1'>Tab 1</TabsTab>
 */
const TabsTab = forwardRef(function TabsTab({ value, id, ...rest }, ref) {
    const tabs = useContext(Context);
    const generatedId = useId();
    const buttonId = id ?? `tab-${generatedId}`;
    return (jsx(RovingFocusItem, { value: value, ...rest, asChild: true, children: jsx("button", { ...rest, "aria-selected": tabs.value === value, id: buttonId, onClick: () => tabs.onChange?.(value), ref: ref, role: 'tab', type: 'button' }) }));
});

export { TabsTab };
