'use client';
import { jsx } from 'react/jsx-runtime';
import { forwardRef } from 'react';
import { RovingFocusItem } from '../../utilities/roving-focus/roving-focus-item.js';
import { Button } from '../button/button.js';
import { useToggleGroupItem } from './use-toggle-groupitem.js';

/**
 * A single item in a ToggleGroup.
 * @example
 * <ToggleGroupItem value='1'>Toggle 1</ToggleGroupItem>
 */
const ToggleGroupItem = forwardRef(function ToggleGroupItem(rest, ref) {
    const { active, buttonProps, value } = useToggleGroupItem(rest);
    return (jsx(RovingFocusItem, { asChild: true, value: value, children: jsx(Button, { variant: active ? 'primary' : 'tertiary', ref: ref, ...rest, ...buttonProps }) }));
});

export { ToggleGroupItem };
