'use client';
import { useId, useContext } from 'react';
import { ToggleGroupContext } from './toggle-group.js';

/** Handles props for `ToggleGroup.Item` in context with `ToggleGroup` and `RovingFocus` */
const useToggleGroupItem = (props) => {
    const { ...rest } = props;
    const genValue = useId();
    const toggleGroup = useContext(ToggleGroupContext);
    const value = props.value ?? genValue;
    const active = toggleGroup.value === value;
    const buttonId = `togglegroup-item-${useId()}`;
    return {
        ...rest,
        active: active,
        value,
        buttonProps: {
            id: buttonId,
            'aria-checked': active,
            'aria-current': active,
            role: 'radio',
            name: toggleGroup.name,
            onClick: () => {
                toggleGroup.onChange?.(value);
            },
        },
    };
};

export { useToggleGroupItem };
