import type { HTMLAttributes } from 'react';
type InteractiveProps = {
    interactive: true;
    id: string;
};
type NonInteractiveProps = {
    interactive?: false;
    id?: string;
};
export type ComboboxCustomProps = {
    /**
     * Adds the item to the navigation flow at the start of the list.
     * @default false
     */
    interactive?: boolean;
    /**
     * Required if the element is interactive.
     */
    id?: string;
    /**
     * Event handler for select event.
     * Only called if the element is interactive.
     */
    onSelect?: () => void;
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & HTMLAttributes<HTMLDivElement> & (InteractiveProps | NonInteractiveProps);
declare const ComboboxCustom: React.ForwardRefExoticComponent<ComboboxCustomProps & React.RefAttributes<HTMLDivElement>>;
export { ComboboxCustom };
//# sourceMappingURL=Custom.d.ts.map