import type { SeverityColors } from '@digdir/designsystemet/types';
import type { HTMLAttributes } from 'react';
import type { DefaultProps } from '../../types';
import type { MergeRight } from '../../utilities';
export type AlertProps = MergeRight<DefaultProps & HTMLAttributes<HTMLDivElement>, {
    /**
     * Sets color and icon.
     *
     * @default 'info'
     */
    'data-color'?: SeverityColors;
}>;
/**
 * Alerts are used to inform users about important information, warnings, errors, or success.
 *
 * @example
 * <Alert data-color='info'>Dette er en informasjonsmelding</Alert>
 */
export declare const Alert: React.ForwardRefExoticComponent<Omit<DefaultProps & HTMLAttributes<HTMLDivElement>, "data-color"> & {
    /**
     * Sets color and icon.
     *
     * @default 'info'
     */
    'data-color'?: SeverityColors;
} & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=alert.d.ts.map