import { BadgePosition } from './badge-position';
/**
 * `Badge` is a non-interactive component for displaying status with or without numbers.
 *
 * @example without children
 * <Badge count={5} maxCount={10} />
 */
declare const Badge: React.ForwardRefExoticComponent<Omit<import("../../types").DefaultProps & React.HTMLAttributes<HTMLSpanElement>, "data-color" | "children" | "variant" | "count" | "maxCount"> & {
    count?: number;
    maxCount?: number;
    variant?: "base" | "tinted";
    'data-color'?: import("packages/cli/dist/src/types").Color | import("packages/cli/dist/src/types").SeverityColors;
    children?: never;
} & React.RefAttributes<HTMLSpanElement>> & {
    Position: React.ForwardRefExoticComponent<Omit<import("../../types").DefaultProps & React.HTMLAttributes<HTMLSpanElement>, "placement" | "overlap"> & {
        placement?: "top-right" | "top-left" | "bottom-right" | "bottom-left";
        overlap?: "circle" | "rectangle";
    } & React.RefAttributes<HTMLSpanElement>>;
};
export { Badge, BadgePosition };
export type { BadgeProps } from './badge';
export type { BadgePositionProps } from './badge-position';
//# sourceMappingURL=index.d.ts.map