import type { HTMLAttributes } from 'react';
export type DialogBlockProps = {
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & HTMLAttributes<HTMLDivElement>;
/**
 * DialogBlock component, used to separate content in a Dialog.
 *
 * @example
 * <Dialog>
 *   <Dialog.Block>
 *     Header
 *   </Dialog.Block>
 *   <Dialog.Block>
 *     Content
 *   </Dialog.Block>
 *   <Dialog.Block>
 *     Footer
 *   </Dialog.Block>
 * </Dialog>
 */
export declare const DialogBlock: React.ForwardRefExoticComponent<{
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & HTMLAttributes<HTMLDivElement> & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=dialog-block.d.ts.map