import type { ReactNode, RefObject } from 'react';
export declare const Context: React.Context<RefObject<HTMLDialogElement | null>>;
export type DialogTriggerContextProps = {
    children: ReactNode;
};
/**
 * DialogTriggerContext component, used to provide a context for a dialog trigger.
 *
 * @example
 * <Dialog.TriggerContext>
 *   <Dialog.Trigger>Open Dialog</Dialog.Trigger>
 *   <Dialog>
 *     Content
 *   </Dialog>
 * </Dialog.TriggerContext>
 */
export declare const DialogTriggerContext: {
    ({ children, }: DialogTriggerContextProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
//# sourceMappingURL=dialog-trigger-context.d.ts.map