import { type ButtonProps } from '../button/button';
export type DropdownButtonProps = Omit<ButtonProps, 'variant'>;
/**
 * DropdownButton component, used to display a button in the DropdownItem.
 *
 * @example
 * <Dropdown>
 *  <DropdownList>
 *    <DropdownItem>
 *      <DropdownButton>Button</DropdownButton>
 *    </DropdownItem>
 *  </DropdownList>
 * </Dropdown>
 */
export declare const DropdownButton: React.ForwardRefExoticComponent<DropdownButtonProps & React.RefAttributes<HTMLButtonElement>>;
//# sourceMappingURL=dropdown-button.d.ts.map