import { type HeadingProps } from '../heading/heading';
export type DropdownHeadingProps = HeadingProps;
/**
 * DropdownHeading component, used to display a heading in the Dropdown.
 *
 * @example
 * <Dropdown>
 *  <DropdownHeading>Heading</DropdownHeading>
 * </Dropdown>
 */
export declare const DropdownHeading: React.ForwardRefExoticComponent<{
    level?: 1 | 2 | 3 | 4 | 5 | 6;
    'data-size'?: "2xs" | "xs" | "sm" | "md" | "lg" | "xl" | "2xl";
    asChild?: boolean;
} & React.HTMLAttributes<HTMLHeadingElement> & React.RefAttributes<HTMLHeadingElement>>;
//# sourceMappingURL=dropdown-heading.d.ts.map