import { type HTMLAttributes } from 'react';
export type DropdownItemProps = HTMLAttributes<HTMLLIElement>;
/**
 * DropdownItem component, used to display an item in the Dropdown. Used within a DropdownList.
 *
 * @example
 * <Dropdown>
 *  <DropdownList>
 *    <DropdownItem>
 *      <DropdownButton>Button</DropdownButton>
 *    </DropdownItem>
 *  </DropdownList>
 * </Dropdown>
 */
export declare const DropdownItem: React.ForwardRefExoticComponent<DropdownItemProps & React.RefAttributes<HTMLLIElement>>;
//# sourceMappingURL=dropdown-item.d.ts.map