import type { HTMLAttributes } from 'react';
export type DropdownListProps = HTMLAttributes<HTMLUListElement>;
/**
 * DropdownList component, used to display a list of items in the Dropdown.
 *
 * @example
 * <Dropdown>
 *  <DropdownList>
 *    <DropdownItem>
 *      <DropdownButton>Button</DropdownButton>
 *    </DropdownItem>
 *  </DropdownList>
 * </Dropdown>
 */
export declare const DropdownList: React.ForwardRefExoticComponent<DropdownListProps & React.RefAttributes<HTMLUListElement>>;
//# sourceMappingURL=dropdown-list.d.ts.map