import type { ReactNode } from 'react';
export type DropdownTriggerContextProps = {
    children: ReactNode;
};
/**
 * DropdownTriggerContext enables use of the `.Trigger` for the Dropdown component.
 *
 * @example
 * <DropdownTriggerContext>
 *  <DropdownTrigger>Dropdown</DropdownTrigger>
 *  <Dropdown>
 *   <DropdownHeading>Heading</DropdownHeading>
 *    <DropdownList>
 *      <DropdownItem>
 *        <DropdownButton>Button</DropdownButton>
 *      </DropdownItem>
 *    </DropdownList>
 *  </Dropdown>
 * </DropdownTriggerContext>
 */
export declare const DropdownTriggerContext: {
    ({ children, }: DropdownTriggerContextProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
//# sourceMappingURL=dropdown-trigger-context.d.ts.map