import { type HeadingProps } from '../heading/heading';
export type ErrorSummaryHeadingProps = HeadingProps;
/**
 * ErrorSummary heading component, used to display a heading for the error summary.
 *
 * @example
 * <ErrorSummary>
 *   <ErrorSummaryHeading>Heading</ErrorSummaryHeading>
 * </ErrorSummary>
 */
export declare const ErrorSummaryHeading: React.ForwardRefExoticComponent<{
    level?: 1 | 2 | 3 | 4 | 5 | 6;
    'data-size'?: "2xs" | "xs" | "sm" | "md" | "lg" | "xl" | "2xl";
    asChild?: boolean;
} & React.HTMLAttributes<HTMLHeadingElement> & React.RefAttributes<HTMLHeadingElement>>;
//# sourceMappingURL=error-summary-heading.d.ts.map