import { type LinkProps } from '../link/link';
export type ErrorSummaryLinkProps = LinkProps;
/**
 * ErrorSummary link component, used to link to a specific error. Used within an ErrorSummary.Item.
 *
 * @example
 * <ErrorSummary>
 *   <ErrorSummaryItem>
 *     <ErrorSummaryLink href='#'>Error 1</ErrorSummaryLink>
 *   </ErrorSummaryItem>
 * </ErrorSummary>
 */
export declare const ErrorSummaryLink: React.ForwardRefExoticComponent<Omit<import("../../types").DefaultProps & React.AnchorHTMLAttributes<HTMLAnchorElement>, "children" | "asChild"> & {
    children: React.ReactNode;
    asChild?: boolean;
} & React.RefAttributes<HTMLAnchorElement>>;
//# sourceMappingURL=error-summary-link.d.ts.map