import { type ListUnorderedProps } from '../list';
export type ErrorSummaryListProps = ListUnorderedProps;
/**
 * ErrorSummary list component, used to display a list of errors.
 *
 * @example
 * <ErrorSummary>
 *   <ErrorSummary.List>
 *     <ErrorSummary.Item>
 *       <ErrorSummary.Link href='#'>Error 1</ErrorSummary.Link>
 *     </ErrorSummary.Item>
 *     <ErrorSummary.Item>
 *       <ErrorSummary.Link href='#'>Error 2</ErrorSummary.Link>
 *     </ErrorSummary.Item>
 *   </ErrorSummary.List>
 * </ErrorSummary>
 */
export declare const ErrorSummaryList: React.ForwardRefExoticComponent<{
    asChild?: boolean;
} & import("../../types").DefaultProps & Omit<React.HTMLAttributes<HTMLUListElement>, "size"> & React.RefAttributes<HTMLOListElement>>;
//# sourceMappingURL=error-summary-list.d.ts.map