import type { HTMLAttributes } from 'react';
export type FieldAffixesProps = Omit<HTMLAttributes<HTMLDivElement>, 'prefix'>;
/**
 * FieldAffixes component, used to wrap a form field.
 *
 * @example
 * <Field.Affixes>
 *   <Field.Affix>NOK</Field.Affix>
 *   <Input />
 *   <Field.Affix>pr. mnd.</Field.Affix>
 * </Field.Affixes>
 */
export declare const FieldAffixes: React.ForwardRefExoticComponent<FieldAffixesProps & React.RefAttributes<HTMLDivElement>>;
export type FieldAffixProps = Omit<HTMLAttributes<HTMLDivElement>, 'prefix'>;
/**
 * FieldAffix component, used to wrap a form field.
 * Use together with Field.Affixes.
 *
 * @example
 * <Field.Affixes>
 *   <Field.Affix>NOK</Field.Affix>
 *   <Input />
 *   <Field.Affix>pr. mnd.</Field.Affix>
 * </Field.Affixes>
 */
export declare const FieldAffix: React.ForwardRefExoticComponent<FieldAffixProps & React.RefAttributes<HTMLSpanElement>>;
//# sourceMappingURL=field-affix.d.ts.map