import { type ParagraphProps } from '../paragraph/paragraph';
export type FieldsetDescriptionProps = ParagraphProps;
/**
 * FieldsetDescription component, used to display a description for a fieldset.
 *
 * @example
 * <FieldsetDescription>
 *   Gi en kort beskrivelse i begge feltene
 * </FieldsetDescription>
 */
export declare const FieldsetDescription: React.ForwardRefExoticComponent<{
    'data-size'?: "xs" | "sm" | "md" | "lg" | "xl";
    variant?: "long" | "default" | "short";
    asChild?: boolean;
} & React.HTMLAttributes<HTMLParagraphElement> & React.RefAttributes<HTMLLegendElement>>;
//# sourceMappingURL=fieldset-description.d.ts.map