import type { FieldsetHTMLAttributes } from 'react';
import type { DefaultProps } from '../../types';
export type FieldsetProps = DefaultProps & FieldsetHTMLAttributes<HTMLFieldSetElement>;
/**
 * Fieldset component, used to wrap a form field. Uses native `fieldset` element.
 *
 * @example
 * <Fieldset>
 *   <Fieldset.Legend>Skriv inn dine svar</Fieldset.Legend>
 *   <Fieldset.Description>
 *     Gi en kort beskrivelse i begge feltene
 *   </Fieldset.Description>
 *   <Field>
 *     <Label>Kort beskrivelse</Label>
 *     <Input />
 *   </Field>
 * </Fieldset>
 */
export declare const Fieldset: React.ForwardRefExoticComponent<DefaultProps & FieldsetHTMLAttributes<HTMLFieldSetElement> & React.RefAttributes<HTMLFieldSetElement>>;
//# sourceMappingURL=fieldset.d.ts.map