import type { LiHTMLAttributes } from 'react';
export type ListItemProps = {
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & LiHTMLAttributes<HTMLLIElement>;
/**
 * Component that provides a list item.
 *
 * @example
 * <List.Item>Item</List.Item>
 */
export declare const ListItem: React.ForwardRefExoticComponent<{
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & LiHTMLAttributes<HTMLLIElement> & React.RefAttributes<HTMLLIElement>>;
//# sourceMappingURL=list-item.d.ts.map