import { type AriaAttributes } from 'react';
import { type ButtonProps } from '../button/button';
export type PaginationButtonProps = {
    /**
     * Toggle button as active
     * @default false
     */
    'aria-current'?: AriaAttributes['aria-current'];
} & Omit<ButtonProps, 'icon' | 'loading'>;
/**
 * PaginationButton component, use within a Pagination.Item.
 *
 * @example
 * <PaginationItem>
 *   <PaginationButton aria-label='Forrige side'>Forrige</PaginationButton>
 * </PaginationItem>
 */
export declare const PaginationButton: React.ForwardRefExoticComponent<{
    /**
     * Toggle button as active
     * @default false
     */
    'aria-current'?: AriaAttributes["aria-current"];
} & Omit<ButtonProps, "icon" | "loading"> & React.RefAttributes<HTMLButtonElement>>;
//# sourceMappingURL=pagination-button.d.ts.map