import { type HTMLAttributes } from 'react';
export type PaginationItemProps = {
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & Omit<HTMLAttributes<HTMLLIElement>, 'size'>;
/**
 * PaginationItem component, use within a Pagination.List.
 *
 * @example
 * <PaginationList>
 *   <PaginationItem>
 *     <PaginationButton aria-label='Forrige side'>Forrige</PaginationButton>
 *   </PaginationItem>
 * </PaginationList>
 */
export declare const PaginationItem: React.ForwardRefExoticComponent<{
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & Omit<HTMLAttributes<HTMLLIElement>, "size"> & React.RefAttributes<HTMLLIElement>>;
//# sourceMappingURL=pagination-item.d.ts.map