import type { HTMLAttributes } from 'react';
export type PaginationListProps = {
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & Omit<HTMLAttributes<HTMLUListElement>, 'size'>;
/**
 * PaginationList component, use within a Pagination.
 *
 * @example
 * <Pagination>
 *   <PaginationList>
 *     <PaginationItem>
 *       <PaginationButton aria-label='Forrige side'>Forrige</PaginationButton>
 *     </PaginationItem>
 *   </PaginationList>
 * </Pagination>
 */
export declare const PaginationList: React.ForwardRefExoticComponent<{
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & Omit<HTMLAttributes<HTMLUListElement>, "size"> & React.RefAttributes<HTMLUListElement>>;
//# sourceMappingURL=pagination-list.d.ts.map