import type { HTMLAttributes } from 'react';
export type ParagraphProps = {
    /**
     * Changes text sizing
     */
    'data-size'?: 'xs' | 'sm' | 'md' | 'lg' | 'xl';
    /**
     *  Adjusts styling for paragraph length
     *  @default 'default'
     */
    variant?: 'long' | 'default' | 'short';
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & HTMLAttributes<HTMLParagraphElement>;
/**
 * Use `Paragraph` to display text with paragraph text styles.
 * Renders a native `p` element.
 *
 * @example
 * <Paragraph data-size='lg'>Paragraph</Paragraph>
 */
export declare const Paragraph: React.ForwardRefExoticComponent<{
    /**
     * Changes text sizing
     */
    'data-size'?: "xs" | "sm" | "md" | "lg" | "xl";
    /**
     *  Adjusts styling for paragraph length
     *  @default 'default'
     */
    variant?: "long" | "default" | "short";
    /**
     * Change the default rendered element for the one passed as a child, merging their props and behavior.
     * @default false
     */
    asChild?: boolean;
} & HTMLAttributes<HTMLParagraphElement> & React.RefAttributes<HTMLParagraphElement>>;
//# sourceMappingURL=paragraph.d.ts.map