import type { ReactNode } from 'react';
export type PopoverTriggerContextProps = {
    children: ReactNode;
};
/**
 * PopoverTriggerContext component, use to wrap a Popover.Trigger and Popover.
 *
 * @example
 * <PopoverTriggerContext>
 *   <PopoverTrigger>Open Popover</PopoverTrigger>
 *   <Popover>
 *     Content
 *   </Popover>
 * </PopoverTriggerContext>
 */
export declare const PopoverTriggerContext: {
    ({ children, }: PopoverTriggerContextProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const Context: React.Context<{
    popoverId?: string;
    setPopoverId?: (id: string) => void;
}>;
//# sourceMappingURL=popover-trigger-context.d.ts.map