import { type ButtonProps } from '../button/button';
export type SearchClearProps = Omit<ButtonProps, 'variant' | 'children'> & {
    /**
     * Aria label for the clear button
     * @default 'Tøm'
     */
    'aria-label'?: string;
};
/**
 * SearchClear component, used to display a clear button when the search input is not empty.
 *
 * @example
 * <Search>
 *   <SearchInput aria-label='Søk' />
 *   <SearchClear />
 * </Search>
 */
export declare const SearchClear: React.ForwardRefExoticComponent<Omit<ButtonProps, "children" | "variant"> & {
    /**
     * Aria label for the clear button
     * @default 'Tøm'
     */
    'aria-label'?: string;
} & React.RefAttributes<HTMLButtonElement>>;
//# sourceMappingURL=search-clear.d.ts.map