import type { DefaultProps } from '../../types';
export type SearchProps = DefaultProps & React.HTMLAttributes<HTMLDivElement>;
/**
 * Search component, use to display different variations of a search input
 *
 * @example with button
 * <Search>
 *   <Search.Input aria-label='Søk' />
 *   <Search.Clear />
 *   <Search.Button />
 * </Search>
 *
 * @example with icon
 * <Search>
 *   <Search.Input aria-label='Søk' />
 *   <Search.Clear />
 * </Search>
 */
export declare const Search: React.ForwardRefExoticComponent<DefaultProps & React.HTMLAttributes<HTMLDivElement> & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=search.d.ts.map