import { type ComponentPropsWithoutRef } from 'react';
export type SpinnerProps = {
    /**
     * Accessibile label
     */
    'aria-label'?: string;
    /**
     * Spinner size
     */
    'data-size'?: '2xs' | 'xs' | 'sm' | 'md' | 'lg' | 'xl';
} & ComponentPropsWithoutRef<'svg'> & ({
    'aria-label': string;
    'aria-hidden'?: never;
} | {
    'aria-label'?: string;
    'aria-hidden': true | 'true';
});
/**
 * Spinner component used for indicating busy or indeterminate loading.
 *
 * @example
 * <Spinner aria-label='Loading users...' />
 */
export declare const Spinner: React.ForwardRefExoticComponent<SpinnerProps & React.RefAttributes<SVGSVGElement>>;
//# sourceMappingURL=spinner.d.ts.map