import { type ButtonProps } from '../button/button';
export type SuggestionClearProps = Omit<ButtonProps, 'variant' | 'children'> & {
    /**
     * Aria label for the clear button
     * @default 'Tøm'
     */
    'aria-label'?: string;
};
/**
 * Component that provides a clear button for the Suggestion input.
 *
 * Place as a descendant of `Suggestion`
 *
 * @example
 * <Suggestion>
 *   <Suggestion.Input />
 *   <Suggestion.Clear />
 *   <Suggestion.List />
 * </Suggestion>
 */
export declare const SuggestionClear: React.ForwardRefExoticComponent<Omit<ButtonProps, "children" | "variant"> & {
    /**
     * Aria label for the clear button
     * @default 'Tøm'
     */
    'aria-label'?: string;
} & React.RefAttributes<HTMLButtonElement>>;
//# sourceMappingURL=suggestion-clear.d.ts.map