import type { OptionHTMLAttributes } from 'react';
import type { DefaultProps } from '../../types';
export type SuggestionEmptyProps = DefaultProps & OptionHTMLAttributes<HTMLOptionElement>;
/**
 * Component that provides an empty Suggestion list.
 *
 * Place as a descendant of `Suggestion.List`
 *
 * @example
 * <Suggestion.List>
 *   <Suggestion.Empty>Tomt</Suggestion.Empty>
 * </Suggestion.List>
 */
export declare const SuggestionEmpty: React.ForwardRefExoticComponent<DefaultProps & OptionHTMLAttributes<HTMLOptionElement> & React.RefAttributes<HTMLOptionElement>>;
//# sourceMappingURL=suggestion-empty.d.ts.map