import { type InputProps } from '../input/input';
export type SuggestionInputProps = InputProps;
declare global {
    namespace React.JSX {
        interface IntrinsicAttributes {
            popovertarget?: string;
        }
    }
    namespace React {
        interface HTMLAttributes<T> {
            popovertarget?: string;
        }
    }
}
/**
 * Component that provides an input field for the Suggestion list.
 *
 * Place as a descendant of `Suggestion`
 *
 * @example
 * <Suggestion>
 *   <Suggestion.Input />
 *   <Suggestion.List />
 * </Suggestion>
 */
export declare const SuggestionInput: React.ForwardRefExoticComponent<Omit<import("../../types").DefaultProps & Omit<React.InputHTMLAttributes<HTMLInputElement>, "prefix" | "type">, "type" | "disabled" | "readOnly" | "size" | "role"> & {
    type?: "checkbox" | "color" | "date" | "datetime-local" | "email" | "file" | "hidden" | "month" | "number" | "password" | "radio" | "search" | "tel" | "text" | "time" | "url" | "week";
    size?: number;
    disabled?: boolean;
    readOnly?: boolean;
    role?: React.AriaRole | undefined;
} & React.RefAttributes<HTMLInputElement>>;
//# sourceMappingURL=suggestion-input.d.ts.map