import { type HTMLAttributes } from 'react';
export type TableFootProps = HTMLAttributes<HTMLTableSectionElement>;
/**
 * TableFoot component, used to display the footer of a table. Renders a native HTML tfoot element.
 *
 * @example
 * <TableFoot>
 *   <TableRow>
 *     <TableCell>Total</TableCell>
 *     <TableCell>2</TableCell>
 *   </TableRow>
 * </TableFoot>
 */
export declare const TableFoot: React.ForwardRefExoticComponent<TableFootProps & React.RefAttributes<HTMLTableSectionElement>>;
//# sourceMappingURL=table-foot.d.ts.map