import type { AriaAttributes } from 'react';
import { type ThHTMLAttributes } from 'react';
export type TableHeaderCellProps = {
    /**
     * If 'none' | 'ascending' | 'descending' | 'other' will add a button to the header cell and change aria-sort and icon
     * @default undefined
     */
    sort?: AriaAttributes['aria-sort'];
} & ThHTMLAttributes<HTMLTableCellElement>;
/**
 * TableHeaderCell component, used to display the header cells of a table. Renders a native HTML th element.
 *
 * @example
 * <TableHeaderCell>Name</TableHeaderCell>
 */
export declare const TableHeaderCell: React.ForwardRefExoticComponent<{
    /**
     * If 'none' | 'ascending' | 'descending' | 'other' will add a button to the header cell and change aria-sort and icon
     * @default undefined
     */
    sort?: AriaAttributes["aria-sort"];
} & ThHTMLAttributes<HTMLTableCellElement> & React.RefAttributes<HTMLTableCellElement>>;
//# sourceMappingURL=table-header-cell.d.ts.map