import type { HTMLAttributes } from 'react';
export type TabsPanelProps = {
    /**
     * When this value is selected as the current state, render this `TabsPanel` component.
     * Must match the `value` of a `Tabs.Tab` component.
     */
    value: string;
} & Omit<HTMLAttributes<HTMLDivElement>, 'value'>;
/**
 * A single content item in a Tabs component.
 *
 * @example
 * <TabsPanel value='1'>content 1</TabsPanel>
 */
export declare const TabsPanel: React.ForwardRefExoticComponent<{
    /**
     * When this value is selected as the current state, render this `TabsPanel` component.
     * Must match the `value` of a `Tabs.Tab` component.
     */
    value: string;
} & Omit<HTMLAttributes<HTMLDivElement>, "value"> & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=tabs-panel.d.ts.map