import type { HTMLAttributes } from 'react';
export type TabsTabProps = {
    /**
     * Unique value that will be set in the `Tabs` components state when the tab is activated
     */
    value: string;
} & Omit<HTMLAttributes<HTMLButtonElement>, 'value'>;
/**
 * A single item in a Tabs component.
 *
 * @example
 * <TabsTab value='1'>Tab 1</TabsTab>
 */
export declare const TabsTab: React.ForwardRefExoticComponent<{
    /**
     * Unique value that will be set in the `Tabs` components state when the tab is activated
     */
    value: string;
} & Omit<HTMLAttributes<HTMLButtonElement>, "value"> & React.RefAttributes<HTMLButtonElement>>;
//# sourceMappingURL=tabs-tab.d.ts.map