import type { Color, SeverityColors } from '@digdir/designsystemet/types';
import type { HTMLAttributes } from 'react';
import type { DefaultProps } from '../../types';
import type { MergeRight } from '../../utilities';
export type TagProps = MergeRight<DefaultProps & HTMLAttributes<HTMLSpanElement>, {
    /**
     * Change the color scheme of the tag
     */
    'data-color'?: Color | SeverityColors;
}>;
/**
 * Use `Tag` to display categories or statuses.
 *
 * @example
 * <Tag>Melk</Tag>
 */
export declare const Tag: React.ForwardRefExoticComponent<Omit<DefaultProps & HTMLAttributes<HTMLSpanElement>, "data-color"> & {
    /**
     * Change the color scheme of the tag
     */
    'data-color'?: Color | SeverityColors;
} & React.RefAttributes<HTMLSpanElement>>;
//# sourceMappingURL=tag.d.ts.map