import { type ButtonProps } from '../button/button';
export type ToggleGroupItemProps = {
    /**
     * The value of the ToggleGroupItem.
     * Generates a random value if not set.
     **/
    value?: string;
} & Omit<ButtonProps, 'loading' | 'value' | 'variant'>;
/**
 * A single item in a ToggleGroup.
 * @example
 * <ToggleGroupItem value='1'>Toggle 1</ToggleGroupItem>
 */
export declare const ToggleGroupItem: React.ForwardRefExoticComponent<{
    /**
     * The value of the ToggleGroupItem.
     * Generates a random value if not set.
     **/
    value?: string;
} & Omit<ButtonProps, "value" | "variant" | "loading"> & React.RefAttributes<HTMLButtonElement>>;
//# sourceMappingURL=toggle-group-item.d.ts.map