import { useEffect } from 'react';
export declare const useIsomorphicLayoutEffect: typeof useEffect;
/**
 * Synchronizes the css animation of multiple elements with the same `animationName`.
 *
 * @example
 * ```tsx
 *  const ref = useSynchronizedAnimation<HTMLDivElement>('spin');
 *
 *  <div
 *   ref={ref}
 *  />
 * ```
 */
export declare function useSynchronizedAnimation<T>(animationName: string): React.RefObject<T | null>;
//# sourceMappingURL=use-synchronized-animation.d.ts.map