import type { HTMLAttributes } from 'react';
/** Handles props for `RovingFocus` in context with `RovingFocusRoot` */
export declare const useRovingFocus: (value: string) => {
    getOrderedItems: () => import("./roving-focus-root").RovingFocusElement[];
    isFocusable: boolean;
    orientation: "horizontal" | "vertical" | "ambiguous";
    getRovingProps: <T extends HTMLElement>(props: HTMLAttributes<T>) => {
        ref: (element: HTMLElement | null) => void;
        onKeyDown: (e: React.KeyboardEvent<T>) => void;
        onFocus: (e: React.FocusEvent<T>) => void;
        'data-roving-tabindex-item': boolean;
        tabIndex: number;
        defaultChecked?: boolean | undefined;
        defaultValue?: string | number | readonly string[] | undefined;
        suppressContentEditableWarning?: boolean | undefined;
        suppressHydrationWarning?: boolean | undefined;
        accessKey?: string | undefined;
        autoCapitalize?: "off" | "none" | "on" | "sentences" | "words" | "characters" | undefined | (string & {});
        autoFocus?: boolean | undefined;
        className?: string | undefined;
        contentEditable?: (boolean | "true" | "false") | "inherit" | "plaintext-only" | undefined;
        contextMenu?: string | undefined;
        dir?: string | undefined;
        draggable?: (boolean | "true" | "false") | undefined;
        enterKeyHint?: "enter" | "done" | "go" | "next" | "previous" | "search" | "send" | undefined;
        hidden?: boolean | undefined;
        id?: string | undefined;
        lang?: string | undefined;
        nonce?: string | undefined;
        slot?: string | undefined;
        spellCheck?: (boolean | "true" | "false") | undefined;
        style?: React.CSSProperties | undefined;
        title?: string | undefined;
        translate?: "yes" | "no" | undefined;
        radioGroup?: string | undefined;
        role?: React.AriaRole | undefined;
        about?: string | undefined;
        content?: string | undefined;
        datatype?: string | undefined;
        inlist?: any;
        prefix?: string | undefined;
        property?: string | undefined;
        rel?: string | undefined;
        resource?: string | undefined;
        rev?: string | undefined;
        typeof?: string | undefined;
        vocab?: string | undefined;
        autoCorrect?: string | undefined;
        autoSave?: string | undefined;
        color?: string | undefined;
        itemProp?: string | undefined;
        itemScope?: boolean | undefined;
        itemType?: string | undefined;
        itemID?: string | undefined;
        itemRef?: string | undefined;
        results?: number | undefined;
        security?: string | undefined;
        unselectable?: "on" | "off" | undefined;
        popover?: "" | "auto" | "manual" | undefined;
        popoverTargetAction?: "toggle" | "show" | "hide" | undefined;
        popoverTarget?: string | undefined;
        inert?: boolean | undefined;
        inputMode?: "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | "search" | undefined;
        is?: string | undefined;
        exportparts?: string | undefined;
        part?: string | undefined;
        popovertarget?: string;
        'data-size'?: import("packages/cli/dist/src/types").Size | (string & {});
        'data-color'?: import("packages/cli/dist/src/types").Color | (string & {});
        'data-color-scheme'?: import("packages/cli/dist/src/types").ColorScheme | (string & {});
        "aria-activedescendant"?: string | undefined;
        "aria-atomic"?: (boolean | "true" | "false") | undefined;
        "aria-autocomplete"?: "none" | "inline" | "list" | "both" | undefined;
        "aria-braillelabel"?: string | undefined;
        "aria-brailleroledescription"?: string | undefined;
        "aria-busy"?: (boolean | "true" | "false") | undefined;
        "aria-checked"?: boolean | "false" | "mixed" | "true" | undefined;
        "aria-colcount"?: number | undefined;
        "aria-colindex"?: number | undefined;
        "aria-colindextext"?: string | undefined;
        "aria-colspan"?: number | undefined;
        "aria-controls"?: string | undefined;
        "aria-current"?: boolean | "false" | "true" | "page" | "step" | "location" | "date" | "time" | undefined;
        "aria-describedby"?: string | undefined;
        "aria-description"?: string | undefined;
        "aria-details"?: string | undefined;
        "aria-disabled"?: (boolean | "true" | "false") | undefined;
        "aria-dropeffect"?: "none" | "copy" | "execute" | "link" | "move" | "popup" | undefined;
        "aria-errormessage"?: string | undefined;
        "aria-expanded"?: (boolean | "true" | "false") | undefined;
        "aria-flowto"?: string | undefined;
        "aria-grabbed"?: (boolean | "true" | "false") | undefined;
        "aria-haspopup"?: boolean | "false" | "true" | "menu" | "listbox" | "tree" | "grid" | "dialog" | undefined;
        "aria-hidden"?: (boolean | "true" | "false") | undefined;
        "aria-invalid"?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
        "aria-keyshortcuts"?: string | undefined;
        "aria-label"?: string | undefined;
        "aria-labelledby"?: string | undefined;
        "aria-level"?: number | undefined;
        "aria-live"?: "off" | "assertive" | "polite" | undefined;
        "aria-modal"?: (boolean | "true" | "false") | undefined;
        "aria-multiline"?: (boolean | "true" | "false") | undefined;
        "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
        "aria-orientation"?: "horizontal" | "vertical" | undefined;
        "aria-owns"?: string | undefined;
        "aria-placeholder"?: string | undefined;
        "aria-posinset"?: number | undefined;
        "aria-pressed"?: boolean | "false" | "mixed" | "true" | undefined;
        "aria-readonly"?: (boolean | "true" | "false") | undefined;
        "aria-relevant"?: "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text" | "text additions" | "text removals" | undefined;
        "aria-required"?: (boolean | "true" | "false") | undefined;
        "aria-roledescription"?: string | undefined;
        "aria-rowcount"?: number | undefined;
        "aria-rowindex"?: number | undefined;
        "aria-rowindextext"?: string | undefined;
        "aria-rowspan"?: number | undefined;
        "aria-selected"?: (boolean | "true" | "false") | undefined;
        "aria-setsize"?: number | undefined;
        "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined;
        "aria-valuemax"?: number | undefined;
        "aria-valuemin"?: number | undefined;
        "aria-valuenow"?: number | undefined;
        "aria-valuetext"?: string | undefined;
        children?: React.ReactNode | undefined;
        dangerouslySetInnerHTML?: {
            __html: string | TrustedHTML;
        } | undefined;
        onCopy?: React.ClipboardEventHandler<T> | undefined;
        onCopyCapture?: React.ClipboardEventHandler<T> | undefined;
        onCut?: React.ClipboardEventHandler<T> | undefined;
        onCutCapture?: React.ClipboardEventHandler<T> | undefined;
        onPaste?: React.ClipboardEventHandler<T> | undefined;
        onPasteCapture?: React.ClipboardEventHandler<T> | undefined;
        onCompositionEnd?: React.CompositionEventHandler<T> | undefined;
        onCompositionEndCapture?: React.CompositionEventHandler<T> | undefined;
        onCompositionStart?: React.CompositionEventHandler<T> | undefined;
        onCompositionStartCapture?: React.CompositionEventHandler<T> | undefined;
        onCompositionUpdate?: React.CompositionEventHandler<T> | undefined;
        onCompositionUpdateCapture?: React.CompositionEventHandler<T> | undefined;
        onFocusCapture?: React.FocusEventHandler<T> | undefined;
        onBlur?: React.FocusEventHandler<T> | undefined;
        onBlurCapture?: React.FocusEventHandler<T> | undefined;
        onChange?: React.FormEventHandler<T> | undefined;
        onChangeCapture?: React.FormEventHandler<T> | undefined;
        onBeforeInput?: React.InputEventHandler<T> | undefined;
        onBeforeInputCapture?: React.FormEventHandler<T> | undefined;
        onInput?: React.FormEventHandler<T> | undefined;
        onInputCapture?: React.FormEventHandler<T> | undefined;
        onReset?: React.FormEventHandler<T> | undefined;
        onResetCapture?: React.FormEventHandler<T> | undefined;
        onSubmit?: React.FormEventHandler<T> | undefined;
        onSubmitCapture?: React.FormEventHandler<T> | undefined;
        onInvalid?: React.FormEventHandler<T> | undefined;
        onInvalidCapture?: React.FormEventHandler<T> | undefined;
        onLoad?: React.ReactEventHandler<T> | undefined;
        onLoadCapture?: React.ReactEventHandler<T> | undefined;
        onError?: React.ReactEventHandler<T> | undefined;
        onErrorCapture?: React.ReactEventHandler<T> | undefined;
        onKeyDownCapture?: React.KeyboardEventHandler<T> | undefined;
        onKeyPress?: React.KeyboardEventHandler<T> | undefined;
        onKeyPressCapture?: React.KeyboardEventHandler<T> | undefined;
        onKeyUp?: React.KeyboardEventHandler<T> | undefined;
        onKeyUpCapture?: React.KeyboardEventHandler<T> | undefined;
        onAbort?: React.ReactEventHandler<T> | undefined;
        onAbortCapture?: React.ReactEventHandler<T> | undefined;
        onCanPlay?: React.ReactEventHandler<T> | undefined;
        onCanPlayCapture?: React.ReactEventHandler<T> | undefined;
        onCanPlayThrough?: React.ReactEventHandler<T> | undefined;
        onCanPlayThroughCapture?: React.ReactEventHandler<T> | undefined;
        onDurationChange?: React.ReactEventHandler<T> | undefined;
        onDurationChangeCapture?: React.ReactEventHandler<T> | undefined;
        onEmptied?: React.ReactEventHandler<T> | undefined;
        onEmptiedCapture?: React.ReactEventHandler<T> | undefined;
        onEncrypted?: React.ReactEventHandler<T> | undefined;
        onEncryptedCapture?: React.ReactEventHandler<T> | undefined;
        onEnded?: React.ReactEventHandler<T> | undefined;
        onEndedCapture?: React.ReactEventHandler<T> | undefined;
        onLoadedData?: React.ReactEventHandler<T> | undefined;
        onLoadedDataCapture?: React.ReactEventHandler<T> | undefined;
        onLoadedMetadata?: React.ReactEventHandler<T> | undefined;
        onLoadedMetadataCapture?: React.ReactEventHandler<T> | undefined;
        onLoadStart?: React.ReactEventHandler<T> | undefined;
        onLoadStartCapture?: React.ReactEventHandler<T> | undefined;
        onPause?: React.ReactEventHandler<T> | undefined;
        onPauseCapture?: React.ReactEventHandler<T> | undefined;
        onPlay?: React.ReactEventHandler<T> | undefined;
        onPlayCapture?: React.ReactEventHandler<T> | undefined;
        onPlaying?: React.ReactEventHandler<T> | undefined;
        onPlayingCapture?: React.ReactEventHandler<T> | undefined;
        onProgress?: React.ReactEventHandler<T> | undefined;
        onProgressCapture?: React.ReactEventHandler<T> | undefined;
        onRateChange?: React.ReactEventHandler<T> | undefined;
        onRateChangeCapture?: React.ReactEventHandler<T> | undefined;
        onSeeked?: React.ReactEventHandler<T> | undefined;
        onSeekedCapture?: React.ReactEventHandler<T> | undefined;
        onSeeking?: React.ReactEventHandler<T> | undefined;
        onSeekingCapture?: React.ReactEventHandler<T> | undefined;
        onStalled?: React.ReactEventHandler<T> | undefined;
        onStalledCapture?: React.ReactEventHandler<T> | undefined;
        onSuspend?: React.ReactEventHandler<T> | undefined;
        onSuspendCapture?: React.ReactEventHandler<T> | undefined;
        onTimeUpdate?: React.ReactEventHandler<T> | undefined;
        onTimeUpdateCapture?: React.ReactEventHandler<T> | undefined;
        onVolumeChange?: React.ReactEventHandler<T> | undefined;
        onVolumeChangeCapture?: React.ReactEventHandler<T> | undefined;
        onWaiting?: React.ReactEventHandler<T> | undefined;
        onWaitingCapture?: React.ReactEventHandler<T> | undefined;
        onAuxClick?: React.MouseEventHandler<T> | undefined;
        onAuxClickCapture?: React.MouseEventHandler<T> | undefined;
        onClick?: React.MouseEventHandler<T> | undefined;
        onClickCapture?: React.MouseEventHandler<T> | undefined;
        onContextMenu?: React.MouseEventHandler<T> | undefined;
        onContextMenuCapture?: React.MouseEventHandler<T> | undefined;
        onDoubleClick?: React.MouseEventHandler<T> | undefined;
        onDoubleClickCapture?: React.MouseEventHandler<T> | undefined;
        onDrag?: React.DragEventHandler<T> | undefined;
        onDragCapture?: React.DragEventHandler<T> | undefined;
        onDragEnd?: React.DragEventHandler<T> | undefined;
        onDragEndCapture?: React.DragEventHandler<T> | undefined;
        onDragEnter?: React.DragEventHandler<T> | undefined;
        onDragEnterCapture?: React.DragEventHandler<T> | undefined;
        onDragExit?: React.DragEventHandler<T> | undefined;
        onDragExitCapture?: React.DragEventHandler<T> | undefined;
        onDragLeave?: React.DragEventHandler<T> | undefined;
        onDragLeaveCapture?: React.DragEventHandler<T> | undefined;
        onDragOver?: React.DragEventHandler<T> | undefined;
        onDragOverCapture?: React.DragEventHandler<T> | undefined;
        onDragStart?: React.DragEventHandler<T> | undefined;
        onDragStartCapture?: React.DragEventHandler<T> | undefined;
        onDrop?: React.DragEventHandler<T> | undefined;
        onDropCapture?: React.DragEventHandler<T> | undefined;
        onMouseDown?: React.MouseEventHandler<T> | undefined;
        onMouseDownCapture?: React.MouseEventHandler<T> | undefined;
        onMouseEnter?: React.MouseEventHandler<T> | undefined;
        onMouseLeave?: React.MouseEventHandler<T> | undefined;
        onMouseMove?: React.MouseEventHandler<T> | undefined;
        onMouseMoveCapture?: React.MouseEventHandler<T> | undefined;
        onMouseOut?: React.MouseEventHandler<T> | undefined;
        onMouseOutCapture?: React.MouseEventHandler<T> | undefined;
        onMouseOver?: React.MouseEventHandler<T> | undefined;
        onMouseOverCapture?: React.MouseEventHandler<T> | undefined;
        onMouseUp?: React.MouseEventHandler<T> | undefined;
        onMouseUpCapture?: React.MouseEventHandler<T> | undefined;
        onSelect?: React.ReactEventHandler<T> | undefined;
        onSelectCapture?: React.ReactEventHandler<T> | undefined;
        onTouchCancel?: React.TouchEventHandler<T> | undefined;
        onTouchCancelCapture?: React.TouchEventHandler<T> | undefined;
        onTouchEnd?: React.TouchEventHandler<T> | undefined;
        onTouchEndCapture?: React.TouchEventHandler<T> | undefined;
        onTouchMove?: React.TouchEventHandler<T> | undefined;
        onTouchMoveCapture?: React.TouchEventHandler<T> | undefined;
        onTouchStart?: React.TouchEventHandler<T> | undefined;
        onTouchStartCapture?: React.TouchEventHandler<T> | undefined;
        onPointerDown?: React.PointerEventHandler<T> | undefined;
        onPointerDownCapture?: React.PointerEventHandler<T> | undefined;
        onPointerMove?: React.PointerEventHandler<T> | undefined;
        onPointerMoveCapture?: React.PointerEventHandler<T> | undefined;
        onPointerUp?: React.PointerEventHandler<T> | undefined;
        onPointerUpCapture?: React.PointerEventHandler<T> | undefined;
        onPointerCancel?: React.PointerEventHandler<T> | undefined;
        onPointerCancelCapture?: React.PointerEventHandler<T> | undefined;
        onPointerEnter?: React.PointerEventHandler<T> | undefined;
        onPointerLeave?: React.PointerEventHandler<T> | undefined;
        onPointerOver?: React.PointerEventHandler<T> | undefined;
        onPointerOverCapture?: React.PointerEventHandler<T> | undefined;
        onPointerOut?: React.PointerEventHandler<T> | undefined;
        onPointerOutCapture?: React.PointerEventHandler<T> | undefined;
        onGotPointerCapture?: React.PointerEventHandler<T> | undefined;
        onGotPointerCaptureCapture?: React.PointerEventHandler<T> | undefined;
        onLostPointerCapture?: React.PointerEventHandler<T> | undefined;
        onLostPointerCaptureCapture?: React.PointerEventHandler<T> | undefined;
        onScroll?: React.UIEventHandler<T> | undefined;
        onScrollCapture?: React.UIEventHandler<T> | undefined;
        onScrollEnd?: React.UIEventHandler<T> | undefined;
        onScrollEndCapture?: React.UIEventHandler<T> | undefined;
        onWheel?: React.WheelEventHandler<T> | undefined;
        onWheelCapture?: React.WheelEventHandler<T> | undefined;
        onAnimationStart?: React.AnimationEventHandler<T> | undefined;
        onAnimationStartCapture?: React.AnimationEventHandler<T> | undefined;
        onAnimationEnd?: React.AnimationEventHandler<T> | undefined;
        onAnimationEndCapture?: React.AnimationEventHandler<T> | undefined;
        onAnimationIteration?: React.AnimationEventHandler<T> | undefined;
        onAnimationIterationCapture?: React.AnimationEventHandler<T> | undefined;
        onToggle?: React.ToggleEventHandler<T> | undefined;
        onBeforeToggle?: React.ToggleEventHandler<T> | undefined;
        onTransitionCancel?: React.TransitionEventHandler<T> | undefined;
        onTransitionCancelCapture?: React.TransitionEventHandler<T> | undefined;
        onTransitionEnd?: React.TransitionEventHandler<T> | undefined;
        onTransitionEndCapture?: React.TransitionEventHandler<T> | undefined;
        onTransitionRun?: React.TransitionEventHandler<T> | undefined;
        onTransitionRunCapture?: React.TransitionEventHandler<T> | undefined;
        onTransitionStart?: React.TransitionEventHandler<T> | undefined;
        onTransitionStartCapture?: React.TransitionEventHandler<T> | undefined;
    };
};
//# sourceMappingURL=use-roving-focus.d.ts.map